## org.jgroups.protocols
Interface TUNNEL.TUNNELPolicy

Enclosing class:
  TUNNEL

    public static interface TUNNEL.TUNNELPolicy

Method Summary
`void` `connect(java.util.List<RouterStub> stubs, java.lang.String group, Address addr, java.lang.String logical_name, java.util.List<PhysicalAddress> phys_addrs)`
`void` `sendToAllMembers(java.util.List<RouterStub> stubs, java.lang.String group, byte[] data, int offset, int length)`
`void` `sendToSingleMember(java.util.List<RouterStub> stubs, java.lang.String group, Address dest, byte[] data, int offset, int length)`

Method Detail

### connect

    void connect(java.util.List<RouterStub> stubs,
                 java.lang.String group,
                 Address addr,
                 java.lang.String logical_name,
                 java.util.List<PhysicalAddress> phys_addrs)

### sendToAllMembers

    void sendToAllMembers(java.util.List<RouterStub> stubs,
                          java.lang.String group,
                          byte[] data,
                          int offset,
                          int length)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### sendToSingleMember

    void sendToSingleMember(java.util.List<RouterStub> stubs,
                            java.lang.String group,
                            Address dest,
                            byte[] data,
                            int offset,
                            int length)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.